Bug 531363 - Review request: WiKIDToken - Token for the WiKID Strong Authentication System
Review request: WiKIDToken - Token for the WiKID Strong Authentication System
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2009-10-27 17:12 EDT by Nick Owen
Modified: 2010-12-17 10:24 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-17 10:24:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nick Owen 2009-10-27 17:12:38 EDT
Spec file:
http://www.wikidsystems.com/webdemo/tokens/j2se/3.1.6/WiKIDToken.spec

SRPM:
http://www.wikidsystems.com/webdemo/tokens/j2se/3.1.6/WiKIDToken-3.1.6-1.fc11.noarch.rpm

RPM:
http://www.wikidsystems.com/webdemo/tokens/j2se/3.1.6/WiKIDToken-3.1.6-1.fc11.noarch.rpm

The PC token client for the dual-source WiKID Strong Authentication System. Please visit http://www.wikidsystems.com/ to test, to get the server and for more information.  The Token client takes a PIN, encrypts with a private key and sends it to the server. If the PIN is correct, account active & encryption ok, an OTP is generated and returned to the token client.

It is our intention to also submit an rpm for the server.

This is my first package. I am looking for a sponsor.
Comment 1 Nick Owen 2009-12-04 15:57:30 EST
Still looking for a sponsor... :)
Comment 2 Jason Tibbitts 2010-11-03 13:30:08 EDT
The SRPM link above is invalid, though the spec link still works.
Comment 4 Jason Tibbitts 2010-11-04 12:54:13 EDT
Java isn't my strong suit; I'll make some comments and hopefully the Java SIG folks can help out.

In %prep, you need to delete any jar and class files present in the zip.  It looks like there's a pile of bundled stuff in there, and we need to make sure that none of it gets into the final package.  Unfortunately I did that and the package fails to build, so it looks like you're relying on that bundled stuff.

Bundling libraries in that manner is not permissible in Fedora.  See http://fedoraproject.org/wiki/Packaging:Guidelines#Duplication_of_system_libraries and and http://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries for more information.

This is a strong blocker, but there are a few other things I see on a first glance.

Please remove the suse stuff from the spec.

Don't reference $RPM_BUILD_DIR at all.

Don't redefine %_prefix.

You probably want %_datadir instead of defining %_sharedir to what %_datadir 
normally contains.

Be careful of using macros in comments.  '#' isn't a comment character in a spec file, and macros are still expanded.  This means that multiline macros will cause problems.

Do you really find it simpler to use "%__chmod" instead of just "chmod"?  If so, you need to be consistent, so use %__mkdir, %__mkdir_p and such as well.  Or just drop the needless complexity and call the commands directly.

Don't mix usage of %buildroot and $RPM_BUILD_ROOT.  Pick one style and use it consistently.

Fedora does not need BuildRoot:, the first line of %install or the %clean section.  (EPEL 4 and 5 still do, though, so it's not mandatory that you remove them.)

%fedora_version, %rhel_version and %centos_version are not defined anywhere in your spec, and they aren't defined in the buildsystem.  You should remove them.  If you want to conditionalize things based on RHEL or Fedora versions, see http://fedoraproject.org/wiki/Packaging:DistTag.

Note You need to log in before you can comment on or make changes to this bug.